org.ajax4jsf.component

## Class UIResource

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.ajax4jsf.component.UIResource

- All Implemented Interfaces:
    javax.faces.component.StateHolder
  Direct Known Subclasses:
    HtmlLoadScript, HtmlLoadStyle

      public abstract class UIResource
      extends javax.faces.component.UIComponentBase

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object` | `getSrc()` Get name of script to load
    `abstract void` | `setSrc(java.lang.Object newSrc)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIResource

          public UIResource()

  - ### Method Detail

    - #### getSrc

          public abstract java.lang.Object getSrc()

      Get name of script to load
      Returns:
        the acceptClass

    - #### setSrc

          public abstract void setSrc(java.lang.Object newSrc)

      Parameters:
        `newSrc` - the value to set

Copyright © 2013. All Rights Reserved.